import { type CodeWithSourceMap } from '../library/source-map/index.js';
import { type Token } from '../locator/index.js';
import { type DtsFormatOptions } from './index.js';
/**
 * Get .d.ts file path.
 * @param filePath The path to the source file (i.e. `/dir/foo.css`). It is absolute.
 * @param arbitraryExtensions Generate `.d.css.ts` instead of `.css.d.ts`.
 * @returns The path to the .d.ts file. It is absolute.
 */
export declare function getDtsFilePath(filePath: string, arbitraryExtensions: boolean): string;
export declare function generateDtsContentWithSourceMap(filePath: string, dtsFilePath: string, sourceMapFilePath: string, tokens: Token[], dtsFormatOptions: DtsFormatOptions | undefined, isExternalFile: (filePath: string) => boolean): {
    dtsContent: CodeWithSourceMap['code'];
    sourceMap: CodeWithSourceMap['map'];
};
