import { type Token } from '../locator/index.js';
import { type LocalsConvention } from '../runner.js';
export declare function getRelativePath(fromFilePath: string, toFilePath: string): string;
export declare function isSubDirectoryFile(fromDirectory: string, toFilePath: string): boolean;
export type DtsFormatOptions = {
    /**
     * Style of exported class names.
     * @default undefined
     */
    localsConvention?: LocalsConvention;
    /**
     * Generate `.d.css.ts` instead of `.css.d.ts`.
     * @default false
     */
    arbitraryExtensions?: boolean | undefined;
};
/** The options for emitter. */
export type EmitterOptions = {
    /** The path to the source file (i.e. `/dir/foo.css`). It is absolute. */
    filePath: string;
    /** The tokens exported by the source file. */
    tokens: Token[];
    /** Whether to output declaration map (i.e. `/dir/foo.css.d.ts.map`) or not. */
    emitDeclarationMap: boolean | undefined;
    /** The options for formatting the type definition. */
    dtsFormatOptions: DtsFormatOptions | undefined;
    /** Whether the file is from an external library or not. */
    isExternalFile: (filePath: string) => boolean;
};
export declare function emitGeneratedFiles({ filePath, tokens, emitDeclarationMap, dtsFormatOptions, isExternalFile, }: EmitterOptions): Promise<void>;
/**
 * Returns true if .d.ts (and .d.ts.map) files are generated for the given file.
 */
export declare function isGeneratedFilesExist(filePath: string, emitDeclarationMap: boolean | undefined, arbitraryExtensions: boolean): Promise<boolean>;
