import chalk from 'chalk';
const LOG_LEVEL = {
    debug: 2,
    info: 1,
    silent: 0,
};
export class Logger {
    constructor(logLevelLabel) {
        this.logLevel = LOG_LEVEL[logLevelLabel];
    }
    debug(message) {
        if (this.logLevel >= LOG_LEVEL['debug']) {
            // eslint-disable-next-line no-console
            console.log('[debug]', message);
        }
    }
    info(message) {
        if (this.logLevel >= LOG_LEVEL['info']) {
            // eslint-disable-next-line no-console
            console.log(chalk.blue('[info]'), message);
        }
    }
    error(message) {
        // eslint-disable-next-line no-console
        console.error(chalk.red('[error]'), message);
    }
}
//# sourceMappingURL=logger.js.map